%global sname   skinlcarsng

Name:           vdr-skinlcarsng
Version:        0.3.5
Release:        1%{?dist}
Summary:        A OSD-Skin for the Video Disk Recorder

License:        GPLv2+
URL:            https://gitlab.com/kamel5/skinlcarsng
Source0:        https://gitlab.com/kamel5/%{sname}/-/archive/%{version}/%{sname}-%{version}.tar.bz2
# informed upstream to put copyright and licensing details in source files
# http://projects.vdr-developer.org/issues/1679

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  vdr-devel >= 1.7.34
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description 
skinlcarsng is a skin for VDR based on skin LCARS originally included in vdr
source code. The skin has no command line parameter.


%prep
%autosetup -p1 -n %{sname}-%{version}

%build
%make_install CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC"

%install
# make install would install the themes under /etc, let's not use that
make install-lib install-i18n DESTDIR=%{buildroot}
# install the themes to the custom location used in Fedora
install -dm 755 %{buildroot}%{vdr_vardir}/themes
install -dm 755 %{buildroot}%{_sysconfdir}/vdr/plugins/%{sname}/themeconfigs/
install -pm 644 themes/*.theme %{buildroot}%{vdr_vardir}/themes/
install -pm 644 conf.d/%{sname}.conf %{buildroot}%{_sysconfdir}/vdr/plugins/%{sname}/themeconfigs/

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc HISTORY* README*
%config(noreplace) %{_sysconfdir}/vdr/plugins/%{sname}/themeconfigs/%{sname}.conf
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
%{vdr_vardir}/themes/lcarsng-*.theme

%changelog
* Sat Jun 12 2021 Martin Gansser <martinkg@fedoraproject.org> - 0.3.5-1
- Initial build
